Released docs. You are viewing the documentation published with v0.46.0. Development docs are available at Latest.
Discover the anonymous pre-authorized token endpoint
GET
/.well-known/oauth-authorization-server
const url = 'https://example.com/.well-known/oauth-authorization-server';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/.well-known/oauth-authorization-serverResponses
Section titled “Responses”Authorization server metadata
Media typeapplication/json
object
grant_types_supported
required
array
issuer
required
string format: uri
pre-authorized_grant_anonymous_access_supported
required
token_endpoint
required
string format: uri
token_endpoint_auth_methods_supported
required
array
Example
{ "pre-authorized_grant_anonymous_access_supported": true}Headers
Section titled “Headers”Cache-Control
string
Pragma
string
The configured request deadline elapsed
Media typeapplication/json
object
error
required
error_description
required
string
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Cache-Control
string
Pragma
string
Cookies on Registry Stack
We use optional cookies to understand how you use the main Registry Stack website and this documentation. If you contact us, we may link this activity to your enquiry. You can change your choice at any time. Read the privacy policy.
Your browser asks sites not to track you, so optional tracking stays off.
We could not use or save that choice. Optional tracking remains off.